Subject: Re: octave updated to 3.4.0-3. Please test
From: marco atzeri <[email-masked]>
To: john grant <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 Mar 2011 23:03:33 +0200
List-Id: <cygwin.cygwin.com>

On Thu, Mar 31, 2011 at 7:40 AM, john grant  wrote:
> On Vista, 32-bit, with the latest packages as shown in your top cygcheck,
> octave runs but does not plot. In the xterm, I see the following error
> messages when trying to plot. Thanks for working on this.
>
> octave:1> plot( linspace(1,10,10) )
>       2 [main] octave-3.4.0 4020 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
[cut]
>     695 [main] octave-3.4.0 1136 open_stackdumpfile: Dumping stack trace to
> octave-3.4.0.exe.stackdump
>       3 [main] octave 856 fork: child -1 - died waiting for longjmp before
> initialization, retry 0, exit code 0x600, errno 11
> error: popen2: process creation failed -- Resource temporarily unavailable
> error: called from:
> error:   /usr/share/octave/3.4.0/m/plot/__gnuplot_open_stream__.m at line
> 30, column 44
> error:   /usr/share/octave/3.4.0/m/plot/__gnuplot_drawnow__.m at line 72,
> column 19
> octave:2>
>
>
your is Vista32, also another user with cygwin-1.7.9-1 on Windows 7 64
bit is reporting a similar problem

Exception: STATUS_ACCESS_VIOLATION at eip=6102048B
eax=0102F158 ebx=61245704 ecx=75D80D06 edx=00A41C28 esi=00000000 edi=0028F9F4
ebp=61020C00 esp=0028C7C4 program=C:\cygwin\bin\octave-3.4.0.exe, pid
5712, thread main
cs=0023 ds=002B es=002B fs=0053 gs=002B ss=002B
Stack trace:
Frame     Function  Args
End of stack trace

unfortunately I can only test XP and this problem don't happen.

 eip=6102048B seems inside cygwin dllerror "function"

Corinna,
could you confirm on one of your test systems ?

I will appreciate

Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple